commit: c730a4e41a33c0d59b12e53a099ce039a3eb06a0
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed May 14 04:32:32 2025 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed May 14 05:20:15 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c730a4e4
dev-python/xcffib: Bump to 1.9.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/xcffib/Manifest | 1 +
dev-python/xcffib/xcffib-1.9.0.ebuild | 43 +++++++++++++++++++++++++++++++++++
2 files changed, 44 insertions(+)
diff --git a/dev-python/xcffib/Manifest b/dev-python/xcffib/Manifest
index d61e35d28280..f2b289676ee1 100644
--- a/dev-python/xcffib/Manifest
+++ b/dev-python/xcffib/Manifest
@@ -1,2 +1,3 @@
DIST xcffib-1.7.1.tar.gz 101487 BLAKE2B
e489e96305cc8b277ebc02389514c23522c54444dc05434d0ac669b3337446947f5d5b9db1bfbbc1e1d7f9d81de06a50d63c0e4c3a2fddc6b8e1a8fad3ad704b
SHA512
59ef3adf29fd8e6c5636855aa56777cab84d92c18d8e93500df9e315f0ae53f5693561f571ee98dbea6d9eae9ce5708018e2d6c27dccb14e9eb0ca85668fd515
DIST xcffib-1.8.0.tar.gz 110248 BLAKE2B
70f6a6733ef3e0c26a8e90cd204fccc69709c6242637fb4514eafcec4a259903c5dba8bbc45ade62ad81c7a77825c3a09bc7d546a70833e358f7250da51e1f62
SHA512
ce857c37d0f2222b340735cef0dfcdfa167cdaddfc7b6077a0c2ae9016cb56090f0770773d937278500922d16b5cc3ba15016c73c436f34800fa198960433f4b
+DIST xcffib-1.9.0.tar.gz 110472 BLAKE2B
040adb746726a10d6149e8f914a60fad1e4eca2b52711ff261de040bff35c64a748c5781ddd70a756f1c41cfbfc785fff62a86f65e3fa99243eef5e474809e0c
SHA512
c0b1c3606c8430e83fb980d4c006b6be1eee91aaf6f40b8159dbdad50b2e596dc85372a83eae85e34a702cbdde98eb7219a260fb520b0ddfb16d897722b64fe0
diff --git a/dev-python/xcffib/xcffib-1.9.0.ebuild
b/dev-python/xcffib/xcffib-1.9.0.ebuild
new file mode 100644
index 000000000000..b0be018f7d91
--- /dev/null
+++ b/dev-python/xcffib/xcffib-1.9.0.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..13} pypy3_11 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A drop in replacement for xpyb, an XCB python binding"
+HOMEPAGE="
+ https://github.com/tych0/xcffib/
+ https://pypi.org/project/xcffib/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~ppc ~ppc64 ~riscv
~s390 ~sparc ~x86"
+
+DEPEND="
+ x11-libs/libxcb
+"
+RDEPEND="
+ $(python_gen_cond_dep '
+ >=dev-python/cffi-1.1:=[${PYTHON_USEDEP}]
+ ' 'python*')
+ ${DEPEND}
+"
+BDEPEND="
+ test? (
+ x11-base/xorg-server[xvfb]
+ x11-apps/xeyes
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ rm -rf xcffib || die
+ epytest
+}